Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class ResizableShapeLabelEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.GraphicalEditPolicy
              org.eclipse.gef.editpolicies.SelectionEditPolicy
                  org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
                      org.eclipse.gef.editpolicies.NonResizableEditPolicy
                          org.eclipse.gef.editpolicies.ResizableEditPolicy
                              org.eclipse.gmf.runtime.diagram.ui.editpolicies.ResizableEditPolicyEx
                                  org.eclipse.gmf.runtime.diagram.ui.editpolicies.ResizableShapeEditPolicy
                                      org.eclipse.gmf.runtime.diagram.ui.editpolicies.ResizableShapeLabelEditPolicy

All Implemented Interfaces:
  EditPolicy, IAdaptable, RequestConstants

Direct Known Subclasses:
  ResizableLabelEditPolicy

public class ResizableShapeLabelEditPolicy
extends ResizableShapeEditPolicy

Edit policy which supports

Field Summary

Fields inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
`handles`

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ResizableShapeLabelEditPolicy()`

Method Summary
`protected void` `adjustRect(PrecisionRectangle rect)` adjust the rectangle used for the move command; the default implementatin assumes no behavior, clients can override this function to change this behavior
`protected IFigure` `createDragSourceFeedbackFigure()` Add the tether to the feedback
`protected void` `eraseChangeBoundsFeedback(ChangeBoundsRequest request)` Removes the tether from the feedback
`protected Command` `getMoveCommand(ChangeBoundsRequest request)`
`protected Command` `getResizeCommand(ChangeBoundsRequest request)`
`protected void` `showChangeBoundsFeedback(ChangeBoundsRequest request)` Shows or updates feedback for a change bounds request.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.ResizableShapeEditPolicy
`getAdapter, getAutoSizeCommand, getCommand, getMoveDeferredCommand, understandsRequest`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.ResizableEditPolicyEx
`addSelectionHandles, eraseSourceFeedback, getTargetEditPart, replaceHandleDragEditPartsTracker, showSourceFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.ResizableEditPolicy
`createSelectionHandles, getResizeDirections, setResizeDirections`

Methods inherited from class org.eclipse.gef.editpolicies.NonResizableEditPolicy
`deactivate, getAlignCommand, getDragSourceFeedbackFigure, getInitialFeedbackBounds, getOrphanCommand, hideFocus, isDragAllowed, setDragAllowed, showFocus`

Methods inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
`hideSelection, removeSelectionHandles, showSelection`

Methods inherited from class org.eclipse.gef.editpolicies.SelectionEditPolicy
`activate, addSelectionListener, removeSelectionListener, setFocus, setSelectedState, showPrimarySelection`

Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy
`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`debugFeedback, eraseTargetFeedback, getHost, setHost, showTargetFeedback, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResizableShapeLabelEditPolicy

    public ResizableShapeLabelEditPolicy()

Method Detail

### eraseChangeBoundsFeedback

    protected void eraseChangeBoundsFeedback(ChangeBoundsRequest request)

  Removes the tether from the feedback

  See Also:
    `NonResizableEditPolicy.eraseChangeBoundsFeedback(ChangeBoundsRequest)`

### createDragSourceFeedbackFigure

    protected IFigure createDragSourceFeedbackFigure()

  Add the tether to the feedback

  Overrides:
    `createDragSourceFeedbackFigure` in class `ResizableShapeEditPolicy`
  Returns:
    the new feedback figure
  See Also:
    `NonResizableEditPolicy.createDragSourceFeedbackFigure()`

### getMoveCommand

    protected Command getMoveCommand(ChangeBoundsRequest request)

### adjustRect

    protected void adjustRect(PrecisionRectangle rect)

  adjust the rectangle used for the move command; the default implementatin assumes no behavior, clients can override this function to change this behavior

  Parameters:
    `rect` - Rect to adjust

### showChangeBoundsFeedback

    protected void showChangeBoundsFeedback(ChangeBoundsRequest request)

  Description copied from class: `ResizableEditPolicyEx`
  Shows or updates feedback for a change bounds request. This method had been overriden to make sure that the feed back never go below the min size also it make sure it never exceed the max size

  Overrides:
    `showChangeBoundsFeedback` in class `ResizableEditPolicyEx`
  Parameters:
    `request` - the request

### getResizeCommand

    protected Command getResizeCommand(ChangeBoundsRequest request)

  Parameters:
    `request` - the resize request
  Returns:
    the command contribution obtained from the parent

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.